using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class SpeedBonus: Bonus
    {
        public SpeedBonus(Vec2f position)
            : base(position)
        {
            sprite = new BonusSprite(1, 1);
            sprite.Position = position;
        }

        protected override void ApplyBonus()
        {
            GameManager.myRobot.SetSpeedBonus();
            GameManager.otherObjects.Remove(this);
        }
    }
}
